Update appointment
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/appointments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrenceInterval": 2,
"recurrenceDaysOfWeek": [
3
],
"recurrenceDayOfMonth": 16,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 2,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-11-07T05:31:56Z',
endAt: '2023-11-07T05:31:56Z',
title: '<string>',
notes: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
appointmentTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
optionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
carId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
secondaryCarId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recurrenceInterval: 2,
recurrenceDaysOfWeek: [3],
recurrenceDayOfMonth: 16,
recurrenceEndDate: '2023-11-07T05:31:56Z',
recurrenceCount: 2,
recurrenceSeriesId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/appointments/{id}"
payload = {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrenceInterval": 2,
"recurrenceDaysOfWeek": [3],
"recurrenceDayOfMonth": 16,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 2,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"recurrenceFrequency": "daily",
"recurrenceInterval": 123,
"recurrenceDaysOfWeek": [
123
],
"recurrenceDayOfMonth": 123,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 123,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Appointments
Update appointment
Requires write:appointments.
PATCH
/
api
/
v1
/
appointments
/
{id}
Update appointment
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/appointments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrenceInterval": 2,
"recurrenceDaysOfWeek": [
3
],
"recurrenceDayOfMonth": 16,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 2,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-11-07T05:31:56Z',
endAt: '2023-11-07T05:31:56Z',
title: '<string>',
notes: '<string>',
locationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
appointmentTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
optionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
carId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
secondaryCarId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
recurrenceInterval: 2,
recurrenceDaysOfWeek: [3],
recurrenceDayOfMonth: 16,
recurrenceEndDate: '2023-11-07T05:31:56Z',
recurrenceCount: 2,
recurrenceSeriesId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/appointments/{id}"
payload = {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recurrenceInterval": 2,
"recurrenceDaysOfWeek": [3],
"recurrenceDayOfMonth": 16,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 2,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appointmentTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"carId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryCarId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"notes": "<string>",
"recurrenceFrequency": "daily",
"recurrenceInterval": 123,
"recurrenceDaysOfWeek": [
123
],
"recurrenceDayOfMonth": 123,
"recurrenceEndDate": "2023-11-07T05:31:56Z",
"recurrenceCount": 123,
"recurrenceSeriesId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Available options:
scheduled, pending_approval, accepted, declined, checked_in, in_progress, completed, cancelled, no_show Available options:
daily, weekly, biweekly, monthly, quarterly, yearly, null Required range:
x >= 1Required range:
0 <= x <= 6Required range:
1 <= x <= 31Required range:
x >= 1Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I